> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team member summary



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/teams/{team_nanoid}/member/{user_nanoid}/summary
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/teams/{team_nanoid}/member/{user_nanoid}/summary:
    get:
      tags:
        - B2B Teams
      summary: Get team member summary
      parameters:
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^te-.*
          in: path
          name: team_nanoid
          required: true
          description: >-
            Identifier of a Rise team (a workspace below a company).
            15-character nanoid prefixed with `te-`.
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^us-.*
          in: path
          name: user_nanoid
          required: true
          description: Identifier of a Rise user. 15-character nanoid prefixed with `us-`.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      user:
                        type: object
                        properties:
                          nanoid:
                            type: string
                            minLength: 15
                            maxLength: 15
                            pattern: ^us-.*
                            description: Unique identifier for the user
                          avatar:
                            type: string
                            description: URL of the user's avatar
                          first_name:
                            type: string
                            description: User's first name
                          middle_name:
                            type: string
                            description: User's middle name
                          last_name:
                            type: string
                            description: User's last name
                          email:
                            type: string
                            description: User's email address
                          blockchain_address:
                            type: string
                            description: User's blockchain wallet address
                          phone:
                            type: string
                            description: User's phone number
                          dob:
                            type: string
                            nullable: true
                            description: User's date of birth, nullable
                          address:
                            type: object
                            properties:
                              line_1:
                                type: string
                                description: Primary address line
                              line_2:
                                type: string
                                description: Secondary address line
                              city:
                                type: string
                                description: City of residence
                              state:
                                type: string
                                description: State or region
                              country:
                                type: string
                                description: Country of residence
                              zip_code:
                                type: string
                                description: Postal code
                              timezone:
                                type: string
                                description: User's timezone
                            required:
                              - line_1
                              - line_2
                              - city
                              - state
                              - country
                              - zip_code
                              - timezone
                            additionalProperties: false
                          social:
                            type: object
                            properties:
                              linkedin:
                                type: string
                                description: User's LinkedIn profile URL
                              discord:
                                type: string
                                description: User's Discord handle
                              website:
                                type: string
                                description: User's personal website
                              x:
                                type: string
                                description: User's handle on platform X
                            required:
                              - linkedin
                              - discord
                              - website
                              - x
                            additionalProperties: false
                          certifications:
                            type: array
                            items:
                              type: object
                              properties:
                                nanoid:
                                  type: string
                                  minLength: 15
                                  maxLength: 15
                                  pattern: ^ce-.*
                                  description: Unique identifier for the certification
                                title:
                                  type: string
                                  description: Title of the certification
                                website:
                                  type: string
                                  description: Website URL for certification details
                                year:
                                  type: number
                                  description: Year the certification was obtained
                                file:
                                  type: string
                                  description: URL of the file related to the certification
                              required:
                                - nanoid
                                - title
                                - website
                                - year
                                - file
                              additionalProperties: false
                            description: List of user's certifications
                          onboarding:
                            type: object
                            properties:
                              onboarded:
                                description: Indicates whether the user is onboarded
                                type: boolean
                              step:
                                type: string
                                enum:
                                  - initial
                                  - details
                                  - compliance_process
                                  - security
                                  - signing
                                  - complete
                                  - riseid
                                  - signer
                                  - v1_migration_in_progress
                                  - v1_migration_need_rsk
                                  - v1_migration_need_kyc
                                nullable: true
                                description: Current onboarding step, nullable
                              role:
                                type: string
                                enum:
                                  - payer
                                  - payee
                                  - viewer
                                  - admin
                                  - delegate_admin
                                  - non_delegate_admin
                                nullable: true
                                description: User's role during onboarding, nullable
                              moderation_status:
                                type: string
                                enum:
                                  - pending
                                  - submitted
                                  - approved
                                  - rejected
                                nullable: true
                                description: Moderation status during onboarding, nullable
                            required:
                              - onboarded
                              - step
                              - role
                              - moderation_status
                            additionalProperties: false
                        required:
                          - nanoid
                          - avatar
                          - first_name
                          - middle_name
                          - last_name
                          - email
                          - blockchain_address
                          - phone
                          - dob
                          - address
                          - social
                          - certifications
                          - onboarding
                        additionalProperties: false
                      relationship_type:
                        type: string
                        enum:
                          - team_employee
                          - contractor
                          - aor_contractor
                        description: Type of relationship with the team
                      company:
                        description: Details of the associated company, optional
                        type: object
                        properties:
                          nanoid:
                            type: string
                            minLength: 15
                            maxLength: 15
                            pattern: ^co-.*
                            description: Unique identifier for the company
                          avatar:
                            type: string
                            description: URL of the company's avatar
                          name:
                            type: string
                            description: Company's name
                          website:
                            type: string
                            description: Company's website URL
                          blockchain_address:
                            type: string
                            description: Company's blockchain wallet address
                          address:
                            type: object
                            properties:
                              line_1:
                                type: string
                                description: Primary address line
                              line_2:
                                type: string
                                description: Secondary address line
                              city:
                                type: string
                                description: City of the company
                              state:
                                type: string
                                description: State or region
                              country:
                                type: string
                                description: Country of the company
                              zip_code:
                                type: string
                                description: Postal code
                              timezone:
                                type: string
                                description: Company's timezone
                            required:
                              - line_1
                              - line_2
                              - city
                              - state
                              - country
                              - zip_code
                              - timezone
                            additionalProperties: false
                          admin_contact:
                            type: object
                            properties:
                              fullname:
                                type: string
                                description: Administrator's full name
                              phone:
                                type: string
                                description: Administrator's phone number
                              email:
                                type: string
                                description: Administrator's email address
                            required:
                              - fullname
                              - phone
                              - email
                            additionalProperties: false
                            nullable: true
                            description: Contact information for the company administrator
                          incorporation_country:
                            type: string
                            description: Country of incorporation
                          incorporation_type:
                            type: string
                            enum:
                              - sole_proprietorship
                              - private_limited_company
                              - limited_liability_company
                              - s-corporation
                              - c-corporation
                              - public_limited_company
                              - limited_partnership
                              - holding_company
                              - non_government_organisation
                              - statutory_company
                              - subsidiary_company
                              - unlimited_partnership
                              - charitable_incorporated_organisation
                              - chartered_company
                              - association
                              - non_profit_organisation
                              - im_not_sure
                            description: Type of incorporation
                          private_data:
                            type: object
                            properties:
                              tax_id:
                                type: string
                                description: Company's tax identification number
                            required:
                              - tax_id
                            additionalProperties: false
                        required:
                          - nanoid
                          - avatar
                          - name
                          - website
                          - blockchain_address
                          - address
                          - admin_contact
                          - incorporation_country
                          - incorporation_type
                          - private_data
                        additionalProperties: false
                      pay_schedules:
                        type: array
                        items:
                          type: object
                          properties:
                            nanoid:
                              type: string
                              minLength: 15
                              maxLength: 15
                              pattern: ^ps-.*
                              description: Unique identifier for the pay schedule
                            type:
                              type: string
                              enum:
                                - milestone
                                - recurring
                              description: Type of pay schedule
                            amount:
                              type: string
                              description: Payment amount
                            payments_amount:
                              type: number
                              description: Total number of payments
                            start_date:
                              description: Start date of the pay schedule
                            end_date:
                              description: End date of the pay schedule
                          required:
                            - nanoid
                            - type
                            - amount
                            - payments_amount
                            - start_date
                            - end_date
                          additionalProperties: false
                        description: List of pay schedules associated with the user
                    required:
                      - user
                      - relationship_type
                      - pay_schedules
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````